Subject: [dispatch] New Version Notification - draft-hardie-dispatch-rfc3405-update-04.txt

From: [email-masked]
Date: Thu, 15 Oct 2020 11:47:04 -0700

A new version (-04) has been submitted for draft-hardie-dispatch-rfc3405-update:
https://www.ietf.org/archive/id/draft-hardie-dispatch-rfc3405-update-04.txt
https://www.ietf.org/archive/id/draft-hardie-dispatch-rfc3405-update-04.html

The IETF datatracker page for this Internet-Draft is:
https://datatracker.ietf.org/doc/draft-hardie-dispatch-rfc3405-update/

Diff from previous version:
https://www.ietf.org/rfcdiff?url2=draft-hardie-dispatch-rfc3405-update-04

Please note that it may take a couple of minutes from the time of submission
until the diff is available at tools.ietf.org.

IETF Secretariat.

---

From: Timothy Mcsweeney <[email-masked]>
Date: Thu, 15 Oct 2020 15:31:20 -0400 (EDT)

I would like to see the following changes made to this version (-04) because it does not specify what will be exactly will be reviewed:

2. Updated Requirements

This document removes and replaces the normative requirements from sections 3.1.1

and section 3.1.2 of RFC3405 with:

The registration of a NAPTR record for a URI scheme MUST NOT precede registration of that scheme.  IANA will review the request against for

1. correctness and technical soundness (eg. valid databases, service parameters etc.) and

2. consistency with the published URI resolution application specification [RFC3404], and

3. to ensure that the NAPTR record for a DNS-based URI does not delegate resolution of the URI to a party other than the holder of the DNS name. This last rule is to insure that a given URI's resolution hint doesn't hijack (inadvertently or otherwise) network traffic for a given domain.

3. IANA Considerations

This update does not change the IANA submission procedure in Section 5 of RFC 3405.

_______________________________________________

dispatch mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/dispatch

---

From: Ted Hardie <[email-masked]>
Date: Thu, 15 Oct 2020 13:18:49 -0700

Hi Timothy,

The two small changes done for this version were to respond to IESG
comments which sought to improve the clarity of the existing proposal; they
did not introduce new elements to the proposal in the document.  I think
your comments propose a much more significant change, and document updates
post-IESG processing is not the time for that type of change.  If you wish
to see other changes, I suggest you propose them in a new document.

regards,

Ted Hardie

On Thu, Oct 15, 2020 at 12:33 PM Timothy Mcsweeney <[email-masked]>
wrote:

> I would like to see the following changes made to this version (-04)
> because it does not specify what will be exactly will be reviewed:
>
> 2. Updated Requirements
> The registration of a NAPTR record for a URI scheme MUST NOT precede
> registration of that scheme.  IANA will review the request against for
>   3. to ensure that the NAPTR record for a DNS-based URI does not delegate
> resolution of the URI to a party other than the holder of the DNS name.
> This last rule is to insure that a given URI's resolution hint doesn't
> hijack (inadvertently or otherwise) network traffic for a given domain.
>
> 3. IANA Considerations
>

---

From: Timothy Mcsweeney <[email-masked]>
Date: Thu, 15 Oct 2020 16:26:36 -0400 (EDT)

Ted,

These changes were already proposed during the last call of your update but the Shepard did not do anything about them.  So I don't understand where you are coming from.

Tim

On 10/15/2020 4:18 PM Ted Hardie <[email-masked]> wrote:

Hi Timothy,

The two small changes done for this version were to respond to IESG comments which sought to improve the clarity of the existing proposal; they did not introduce new elements to the proposal in the document.  I think your comments propose a much more significant change, and document updates post-IESG processing is not the time for that type of change.  If you wish to see other changes, I suggest you propose them in a new document.

regards,

Ted Hardie

On Thu, Oct 15, 2020 at 12:33 PM Timothy Mcsweeney <[email-masked]> wrote:

2. Updated Requirements

3. IANA Considerations

dispatch mailing list

[email-masked]

dispatch mailing list

[email-masked]

---

From: Barry Leiba <[email-masked]>
Date: Thu, 15 Oct 2020 16:44:09 -0400

Your proposed changes are well outside the scope of the document, and
there was no support for expanding the scope during discussions of the
document.  As Ted says, you may propose such changes in a draft of
your own and bring it to DISPATCH for consideration.

Barry